;¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script by [StingeR] ver: 3.5   All Rights Reserved. Copyright Narkoman's™ 2008 <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ñîçäàòåëü - [StingeR] <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;; >>>>>>>>>>>>> Îá îøèáêàõ ïèøèòå íà: StingeRuleZ@mail.ru  <<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Îôèöèàëüíûé ñàéò ñêðèïòà: http://chan456.ucoz.ru <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
alias takeover {
  if $dialog(takeover) = $null { dialog -m takeover takeover }
}
dialog takeover {
  title "Take over by [StingeR]"
  size -1 -1 152 188
  option dbu
  icon $mircdiricons/takeover.ico, 0
  text "Âûáåðè Êaíaë", 2, 28 7 46 7
  combo 3, 15 22 79 89
  button "&OK", 4, 84 161 26 13, OK
  box "", 5, 3 3 144 182
  radio "Masskick", 6, 33 143 35 8
  radio "Massdeop", 7, 8 132 39 8
  radio "Massop", 8, 58 132 38 8
  radio "Massdevoice", 9, 58 120 44 9
  radio "Massvoice", 10, 8 120 38 9
  check "Ïðîèçâåñòè TakeOver", 11, 7 157 70 9
  text "(Ìîäû +ntmsikl)", 12, 21 167 43 8
  button "Canc&el", 13, 116 161 26 13, cancel
  box "", 1, 8 15 94 97
  box "", 14, 6 116 43 26
  box "", 15, 55 116 48 26
  box "", 16, 26 139 50 13
  box "", 17, 5 152 73 24
  icon 18, 110 19 21 90, $mircdirpictures\take.bmp, 0
}
on 1:dialog:takeover:init:0:{
  takeover.chanlist
}
on 1:dialog:takeover:sclick:4:{
  if ($me isop %takeover. [ $+ [ $did(takeover,3).sel ] ]) {
    if ($did(11).state == 1) {
      mode %takeover. [ $+ [ $did(takeover,3).sel ] ] +ntmsik $rand(1,93) $+ $rand(1,876) $+ $rand(1,9) $+ $rand(12,99999812)
      mode %takeover. [ $+ [ $did(takeover,3).sel ] ] +l 2
    }
    if ($did(6).state == 1) { .timer 1 0.5 dialog -x takeover | masskick %takeover. [ $+ [ $did(takeover,3).sel ] ] }
    if ($did(7).state == 1) massdeop %takeover. [ $+ [ $did(takeover,3).sel ] ]
    if ($did(8).state == 1) { .timer 1 0.5 dialog -x takeover | massop %takeover. [ $+ [ $did(takeover,3).sel ] ] }
    if ($did(9).state == 1) { .timer 1 0.5 dialog -x takeover | massdv %takeover. [ $+ [ $did(takeover,3).sel ] ] }
    if ($did(10).state == 1) { .timer 1 0.5 dialog -x takeover | massv %takeover. [ $+ [ $did(takeover,3).sel ] ] }
  }
}
alias takeover.chanlist {
  unset %takeover.*
  if ($chan(?) > 0) { set %a 1 | did -a takeover 3 $chan(%a) | set %takeover.1 $chan(%a) | goto scan }
  else goto end
  :scan
  inc %a
  if (%a > $chan(?)) halt
  else { did -a takeover 3 $chan(%a) | set %takeover. $+ %a $chan(%a) | goto scan }
  :end
  halt
}
alias massdeop {
  if ($1) {
    if ($me ison $1) {
      set %massdeop.chan $1
      set %massdeop 0
      :massdeop1
      if ($nick(%massdeop.chan,%massdeop,o) == $null) { unset %massdeop* }
      else {
        set %massdeop.1 $nick(%massdeop.chan,$calc(%massdeop + 1),o)
        set %massdeop.2 $nick(%massdeop.chan,$calc(%massdeop + 2),o)
        set %massdeop.3 $nick(%massdeop.chan,$calc(%massdeop + 3),o)
        set %massdeop.4 $nick(%massdeop.chan,$calc(%massdeop + 4),o)
        set %massdeop.5 $nick(%massdeop.chan,$calc(%massdeop + 5),o)
        set %massdeop.6 $nick(%massdeop.chan,$calc(%massdeop + 6),o)
        if ($me == %massdeop.1) { set %massdeop.1 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        elseif ($me == %massdeop.2) { set %massdeop.2 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        elseif ($me == %massdeop.3) { set %massdeop.3 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        elseif ($me == %massdeop.4) { set %massdeop.4 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        elseif ($me == %massdeop.5) { set %massdeop.5 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        elseif ($me == %massdeop.6) { set %massdeop.6 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
        mode %massdeop.chan -oooooo %massdeop.1 %massdeop.2 %massdeop.3 %massdeop.4 %massdeop.5 %massdeop.6
        inc %massdeop 6
        goto massdeop1
      }
      else { halt }
    }
  }
  else {
    if ($chan == $null) { halt }
    set %massdeop.chan $chan
    set %massdeop 0
    :massdeop2
    if ($nick(%massdeop.chan,%massdeop,o) == $null) { unset %massdeop* }
    else {
      set %massdeop.1 $nick(%massdeop.chan,$calc(%massdeop + 1),o)
      set %massdeop.2 $nick(%massdeop.chan,$calc(%massdeop + 2),o)
      set %massdeop.3 $nick(%massdeop.chan,$calc(%massdeop + 3),o)
      set %massdeop.4 $nick(%massdeop.chan,$calc(%massdeop + 4),o)
      set %massdeop.5 $nick(%massdeop.chan,$calc(%massdeop + 5),o)
      set %massdeop.6 $nick(%massdeop.chan,$calc(%massdeop + 6),o)
      if ($me == %massdeop.1) { set %massdeop.1 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      elseif ($me == %massdeop.2) { set %massdeop.2 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      elseif ($me == %massdeop.3) { set %massdeop.3 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      elseif ($me == %massdeop.4) { set %massdeop.4 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      elseif ($me == %massdeop.5) { set %massdeop.5 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      elseif ($me == %massdeop.6) { set %massdeop.6 $nick(%massdeop.chan,$calc(%massdeop + 7),o) | inc %massdeop }
      mode %massdeop.chan -oooooo %massdeop.1 %massdeop.2 %massdeop.3 %massdeop.4 %massdeop.5 %massdeop.6
      inc %massdeop 6
      goto massdeop2
    }
  }
}
alias masskick {
  if ($1) {
    if ($me ison $1) {
      set %masskick.chan $1
      mode $1 +bbbbbbbbbb *!~*@* *!*@*.net *!*@*.com *!*@*.no *!*@*.org *!*@*.lv *!*@*.la *!*@*.mts.net *!*@*.beelinegprs.ru
      mode $1 +b *!*@*.
      mode $1 +b *!*@*
      set %masskick 0
      :masskick1
      if ($nick(%masskick.chan,%masskick) == $null) { unset %masskick* | halt }
      set %masskick.1 $nick(%masskick.chan,$calc(%masskick + 1))
      set %masskick.2 $nick(%masskick.chan,$calc(%masskick + 2))
      set %masskick.3 $nick(%masskick.chan,$calc(%masskick + 3))
      set %masskick.4 $nick(%masskick.chan,$calc(%masskick + 4))
      if ($me == %masskick.1) { set %masskick.1 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.2) { set %masskick.2 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.3) { set %masskick.3 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.4) { set %masskick.4 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      kick $1 %masskick.1 $+ , $+ %masskick.2 $+ , $+ %masskick.3 $+ , $+ %masskick.4 TakeOvere %scp.name
      inc %masskick 4
      goto masskick1
    }
    else { halt }
  }
  else {
    if ($chan == $null) { halt }
    else {
      set %masskick.chan $chan
      mode $chan +bbbbbbbbbb *!~*@* *!*@*.net *!*@*.com *!*@*.no *!*@*.org *!*@*.lv *!*@*.la *!*@*.mts.net *!*@*.beelinegprs.ru
      mode $chan +b *!*@*.
      mode $chan +b *!*@*
      set %masskick 0
      :masskick2
      if ($nick(%masskick.chan,%masskick) == $null) { unset %masskick* | halt }
      set %masskick.1 $nick(%masskick.chan,$calc(%masskick + 1))
      set %masskick.2 $nick(%masskick.chan,$calc(%masskick + 2))
      set %masskick.3 $nick(%masskick.chan,$calc(%masskick + 3))
      set %masskick.4 $nick(%masskick.chan,$calc(%masskick + 4))
      if ($me == %masskick.1) { set %masskick.1 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.2) { set %masskick.2 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.3) { set %masskick.3 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      elseif ($me == %masskick.4) { set %masskick.4 $nick(%masskick.chan,$calc(%masskick + 5)) | inc %masskick }
      kick $chan %masskick.1 $+ , $+ %masskick.2 $+ , $+ %masskick.3 $+ , $+ %masskick.4 TakeOver %scp.name
      inc %masskick 4
      goto masskick2
    }
  }
}
alias massop {
  if ($1) {
    if ($me ison $1) {
      set %massop.chan $1
      set %massop 0
      :massop1
      if ($nick(%massop.chan,%massop,a,o) == $null) { unset %massop | unset %massop.chan | halt }
      mode %massop.chan +oooooo $nick(%massop.chan,$calc(%massop + 1),a,o) $nick(%massop.chan,$calc(%massop + 2),a,o) $nick(%massop.chan,$calc(%massop + 3),a,o) $nick(%massop.chan,$calc(%massop + 4),a,o) $nick(%massop.chan,$calc(%massop + 5),a,o) $nick(%massop.chan,$calc(%massop + 6),a,o)
      inc %massop 6
      goto massop1
    }
    else { halt }
  }
  else {
    if ($chan == $null) { halt }
    else {
      set %massop.chan $chan
      set %massop 0
      :massop2
      if ($nick(%massop.chan,%massop,a,o) == $null) { unset %massop | unset %massop.chan | halt }
      mode %massop.chan +oooooo $nick(%massop.chan,$calc(%massop + 1),a,o) $nick(%massop.chan,$calc(%massop + 2),a,o) $nick(%massop.chan,$calc(%massop + 3),a,o) $nick(%massop.chan,$calc(%massop + 4),a,o) $nick(%massop.chan,$calc(%massop + 5),a,o) $nick(%massop.chan,$calc(%massop + 6),a,o)
      inc %massop 6
      goto massop2
    }
  }
}
alias massv {
  if ($1) {
    if ($me ison $1) {
      set %massv.chan $1
      set %massv 0
      :massv1
      if ($nick(%massv.chan,%massv,a,ov) == $null) { unset %massv | unset %massv.chan | halt }
      mode %massv.chan +vvvvvv $nick(%massv.chan,$calc(%massv + 1),a,ov) $nick(%massv.chan,$calc(%massv + 2),a,ov) $nick(%massv.chan,$calc(%massv + 3),a,ov) $nick(%massv.chan,$calc(%massv + 4),a,ov) $nick(%massv.chan,$calc(%massv + 5),a,ov) $nick(%massv.chan,$calc(%massv + 6),a,ov)
      inc %massv 6
      goto massv1
    }
    else { halt }
  }
  else {
    if ($chan == $null) { halt }
    else {
      set %massv.chan $chan
      set %massv 0
      :massv2
      if ($nick(%massv.chan,%massv,a,ov) == $null) { unset %massv | unset %massv.chan | halt }
      mode %massv.chan +vvvvvv $nick(%massv.chan,$calc(%massv + 1),a,ov) $nick(%massv.chan,$calc(%massv + 2),a,ov) $nick(%massv.chan,$calc(%massv + 3),a,ov) $nick(%massv.chan,$calc(%massv + 4),a,ov) $nick(%massv.chan,$calc(%massv + 5),a,ov) $nick(%massv.chan,$calc(%massv + 6),a,ov)
      inc %massv 6
      goto massv2
    }
  }
}
alias massdv {
  if ($1) {
    if ($me ison $1) {
      set %massdv.chan $1
      set %massdv 0
      :massdv1
      if ($nick(%massdv.chan,%massdv,v) == $null) { unset %massdv | unset %massdv.chan | halt }
      mode %massdv.chan -vvvvvv $nick(%massdv.chan,$calc(%massdv + 1),v) $nick(%massdv.chan,$calc(%massdv + 2),v) $nick(%massdv.chan,$calc(%massdv + 3),v) $nick(%massdv.chan,$calc(%massdv + 4),v) $nick(%massdv.chan,$calc(%massdv + 5),v) $nick(%massdv.chan,$calc(%massdv + 6),v)
      inc %massdv 6
      goto massdv1
    }
    else { halt }
  }
  else {
    if ($chan == $null) { halt }
    else {
      set %massdv.chan $chan
      set %massdv 0
      :massdv2
      if ($nick(%massdv.chan,%massdv,v) == $null) { unset %massdv | unset %massdv.chan | halt }
      mode %massdv.chan -vvvvvv $nick(%massdv.chan,$calc(%massdv + 1),v) $nick(%massdv.chan,$calc(%massdv + 2),v) $nick(%massdv.chan,$calc(%massdv + 3),v) $nick(%massdv.chan,$calc(%massdv + 4),v) $nick(%massdv.chan,$calc(%massdv + 5),v) $nick(%massdv.chan,$calc(%massdv + 6),v)
      inc %massdv 6
      goto massdv2
    }
  }
}
;¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
;;;;;;;;;;;;;;; >>>>>>>> Narkoman's Script ver: 3.5   All Rights Reserved. Copyright Narkoman's™ 2006 - 2007 <<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ñîçäàòåëü - _TRANE_ <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;; >>>>>>>>>>>>> Îá îøèáêàõ ïèøèòå íà: narkoo-master@mail.ru èëè narkoo-master@maxalina.net <<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 
;;;;;;;;;;;;;;; >>>>>>>>>>>>>>>>>>>>> Îôèöèàëüíûé ñàéò ñêðèïòà: http://www.narkomans.ucoz.ru <<<<<<<<<<<<<<<<<<<<<<<<<<<< ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
